API referencePublished posts
POST /posts/{id}/pin
Pin the published post to the top of its Page (Facebook; else 400 platform_not_supported). Without accountId, the only target that supports it. Queued for approval (202) while approval applies
POST
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringPostgale post id
application/json- body
accountId?stringConnected account id (must belong to the key's organization)
{postId, accountId, platform, pinned}
application/json- response
postId?stringaccountId?stringplatform?stringpinned?booleancurl -X POST 'https://example.com/api/v1/posts/string/pin' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "postId": "string", "accountId": "string", "platform": "string", "pinned": true}